跳转到主要内容
POST
/
v1
/
public
/
accounts
/
{account_id}
/
billing
/
cancel-plan
取消计费计划
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/cancel-plan \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cancel_at_period_end": true,
  "cancel_immediately": false
}
'
{
  "status": "<string>",
  "account_status": "<string>",
  "effective_at": "2023-11-07T05:31:56Z",
  "eligible": true,
  "previous_plan_id": "<string>",
  "target_plan_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

路径参数

account_id
string<uuid>
必填

请求体

application/json

用于取消账户订阅计划的客户请求架构。

cancel_at_period_end
boolean
默认值:true

在计费周期结束时取消计划

cancel_immediately
boolean
默认值:false

立即取消计划

响应

status
string
必填

计费运行状态

account_status
string | null

操作后账户状态

effective_at
string<date-time> | null

计费变更何时生效

eligible
boolean | null

账户是否符合操作条件

previous_plan_id
string | null

以前的结算计划 ID

target_plan_id
string | null

目标计费计划 ID